#
2. Get Store Order Detail By ID
Get Order Detail — Retrieve a single order’s full details (status, items, buyer, payment, delivery/tracking) by ID or Invoice Number, returned in the standard response envelope. When using the Invoice Number, it must be URI-encoded before being included in the request path.
At a glance
- Track via
requestId/batchId.
- Auth
- HMAC Partner
- Method
GET
#
Path
https://partners-api.tocobagus.net/api/v1
/partner/stores/orders/{orderId | invoiceNumber}
#
Request
Query parameters: None.
#
Required Headers
#
Request Payload
Request payload: Not used for
GET.
#
Example Request
curl -X GET "http:///partner/stores/orders/019b0b32-44ef-7995-840e-ebb6fd84a545" \
-H "Content-Type: application/json" \
-H "x-signature: bdbb8833fe43671e058b56dace75763a78a2edf8de7365afb6f534d750056e80" \
-H "x-partner-client-id: 2025112512475048491395" \
-H "x-store-client-id: 558717218128701427402" \
-H "x-store-token: stkn_84tZNQiJiMaTgToe" \
-H "x-timestamp: 1758100350458" \
const qs = new URLSearchParams({});
const url = "http:///partner/stores/orders/019b0b32-44ef-7995-840e-ebb6fd84a545" + (qs.toString() ? "?" + qs.toString() : "");
const res = await fetch(url, {
method: "GET",
headers: {
"x-signature": "bdbb8833fe43671e058b56dace75763a78a2edf8de7365afb6f534d750056e80",
"x-partner-client-id": "2025112512475048491395",
"x-store-client-id": "558717218128701427402",
"x-store-token": "stkn_84tZNQiJiMaTgToe",
"x-timestamp": "1758100350458"
}
});
const json = await res.json();
console.log(json);
qs := url.Values{}
u := "http:///partner/stores/orders/019b0b32-44ef-7995-840e-ebb6fd84a545"
if q := qs.Encode(); q != "" { u = u + "?" + q }
req, _ := http.NewRequest("GET", u, nil)
req.Header.Set("x-signature", "bdbb8833fe43671e058b56dace75763a78a2edf8de7365afb6f534d750056e80")
req.Header.Set("x-partner-client-id", "2025112512475048491395")
req.Header.Set("x-store-client-id", "558717218128701427402")
req.Header.Set("x-store-token", "stkn_84tZNQiJiMaTgToe")
req.Header.Set("x-timestamp", "1758100350458")
req.Header.Set("Content-Type","application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
b, _ := io.ReadAll(resp.Body)
fmt.Println(string(b))
var client = java.net.http.HttpClient.newHttpClient();
var req = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("http:///partner/stores/orders/019b0b32-44ef-7995-840e-ebb6fd84a545"))
.header("Content-Type","application/json")
.header("x-signature", "bdbb8833fe43671e058b56dace75763a78a2edf8de7365afb6f534d750056e80")
.header("x-partner-client-id", "2025112512475048491395")
.header("x-store-client-id", "558717218128701427402")
.header("x-store-token", "stkn_84tZNQiJiMaTgToe")
.header("x-timestamp", "1758100350458")
.method("GET", java.net.http.HttpRequest.BodyPublishers.noBody())
.build();
var res = client.send(req, java.net.http.HttpResponse.BodyHandlers.ofString());
System.out.println(res.body());
#
Responses
#
Example Responses
{
"success": true,
"message": "Order detail retrieved successfully",
"requestId": "642701a4-1721-450a-8659-f3bb0ee625df",
"meta": {
"timestamp": "2025-09-17T07:59:52.966Z"
},
"data": {
"id": "6a4c1644-8b25-4f60-a03c-263834dac994",
"invoiceNumber": "INV/11092025/TEC/70300005450",
"status": "completed",
"substatus": "order_completed",
"orderDatetime": "2025-09-11T12:58:36.513Z",
"shipByDeadline": "2025-09-15T11:42:25.952Z",
"lastUpdateAt": "2025-09-14T11:45:32.366Z",
"notesFromBuyer": null,
"cancellationReason": null,
"buyer": {
"name": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6Ik5sVkZaU1pJcUJieF9GSjciLCJ0YWciOiJMMDdxQlAxVTVySjBlTVZuWm1FakJ3IiwiZGF0YSI6IlFsODlzUHNQMHNDUV90aElyUlBoNElrIn0",
"phone": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6IkExUWhJNFpaOXQtTHNkNkgiLCJ0YWciOiJXN2dmR0VEdmVDMUNoUVZlemx0LTd3IiwiZGF0YSI6Ijg4NUNqeHhGbGpobU9TWGIifQ",
"email": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6ImpqUnREaFZ0c3pSYkUtYkMiLCJ0YWciOiJncVV3b3V6UkZZMHhiZnN4Sm1mLTNnIiwiZGF0YSI6IlpQYV80UUNUTU1FUnM5Z1VOT28xcGk1ZTg4UFVGcWptQXZVbnRqS3lBcFZtMU5ycVU0OHZHUSJ9"
},
"delivery": {
"recipientName": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6Ill2Vzkyc3EwYi1tS21KaHkiLCJ0YWciOiJpNDF3ZjZyZFQ5elFZb2lXeUtxWm5BIiwiZGF0YSI6IllrdU5CSzQifQ",
"recipientPhone": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6IlY5U3I3MndJV1dJaDlTdlAiLCJ0YWciOiJoRXlLd3NoREY0cjBLd3VxM3FHbnZnIiwiZGF0YSI6ImEyd0ZETDdDOTg1Ul8ycWQifQ",
"destination": {
"address": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6IlhYZ3U2akt2T2xRTTdtZGgiLCJ0YWciOiJPdW9IOTJsN3F1VFFTVjZDdkJ1bFNRIiwiZGF0YSI6IlJFeGhuUmxiYy1wc2xwWHR1U0ozYmY3dkxqX3JqY0ZQeC00bGE1QmlQMEI1SlZPNUs4VURObUw4eFRXbXdMdW5tMkw2TFQwV1V1S3VKUC12cmtrT05PbGxTa3duRk00In0",
"note": "ENCRYPTED:eyJ2IjoxLCJhbGciOiJBMjU2R0NNIiwia2lkIjoiZW5jXzIwMjUwODE5X2U4ZnUiLCJpdiI6ImJRRkg0ZFN1cHFvN2Y4SFkiLCJ0YWciOiJKaEkwcGZFNzhoeFBNM19iZHdRc3J3IiwiZGF0YSI6IktvWWlRZFBOaU83MHFyVmJ4anR5QkV6bnhqSVUxdyJ9",
"label": "kantor",
"subdistrict": "Sampora",
"district": "Kecamatan Cisauk",
"city": "Kabupaten Tangerang",
"province": "Banten",
"postalCode": 11470
},
"carrier": {
"code": "sicepat",
"name": "SiCepat"
},
"service": {
"code": "SIUNT",
"name": "SiCepat SIUNTUNG"
},
"tracking": {
"airWaybill": "004479088818",
"bookingCode": "TOCO20250807091650843",
"trackingUrl": null,
"shippingLabelUrl": null
}
},
"paymentMethod": "QRIS",
"items": [
{
"productId": "2438d44e-cb34-4be0-8839-58faf7b02812",
"externalId": "9d12e35a-2471-46b6-8b59-f5f6c963a4bb",
"productName": "TES OMNI - Amoxicillin 500mg",
"photo": "https://5.imimg.com/data5/SELLER/Default/2023/7/330128876/NZ/RO/SC/8264044/ricmox-500-mg.jpg",
"variation": "Default",
"sku": "OBT-AMX-500",
"quantity": 1,
"unitPrice": 25000,
"subTotal": 25000,
"paidAmount": 25000
}
],
"totals": {
"itemsSubtotal": 25000,
"sellerDiscount": 0,
"platformDiscount": 0,
"serviceFee": 0,
"shippingBuyerPaid": 9000,
"shippingFinal": 0,
"otherFees": 0,
"refundAmount": 0,
"invoiceTotal": 25000,
"sellerSettlement": 25000,
"buyerPayment": {
"subtotal": 25000,
"orderDiscount": 0,
"shipping": 9000,
"shippingDiscount": 0,
"other": 0,
"paidTotal": 34000
}
},
"orderHistory": [
{
"actionBy": "System",
"message": "Order status: completed (order_completed)",
"comment": null,
"timestamp": "2025-09-14T11:45:32.366Z"
}
],
"shippingHistory": [
{
"descriptions": "Paket diterima oleh [kry - (KRY) Karyawan]",
"timestamp": "2025-07-28T15:33:00.000Z"
},
{
"descriptions": "Paket telah di terima di Administrasi Jakarta Selatan [Jaksel Kebayoran Baru Gunung LM]",
"timestamp": "2025-07-28T03:10:00.000Z"
},
{
"descriptions": "Paket dibawa [SIGESIT - Gardhita bima seta]",
"timestamp": "2025-07-28T03:10:00.000Z"
},
{
"descriptions": "Paket telah di terima di Administrasi Jakarta Selatan [Jaksel Kebayoran Baru Gunung LM]",
"timestamp": "2025-07-25T23:14:00.000Z"
},
{
"descriptions": "Paket keluar dari Administrasi Jakarta Utara [Middle Mile Jakarta Pegangsaan Dua]",
"timestamp": "2025-07-25T21:58:00.000Z"
},
{
"descriptions": "Paket telah diproses sortir di Administrasi Jakarta Utara [Middle Mile Jakarta Pegangsaan Dua]",
"timestamp": "2025-07-25T16:47:00.000Z"
},
{
"descriptions": "Paket keluar dari Administrasi Jakarta Selatan [Jaksel Pondok Pinang FM]",
"timestamp": "2025-07-25T14:44:00.000Z"
},
{
"descriptions": "Paket telah di input (manifested) di Administrasi Jakarta Selatan [Jaksel Pondok Pinang FM]",
"timestamp": "2025-07-25T10:21:00.000Z"
},
{
"descriptions": "Paket telah di pick up oleh [SIGESIT - Perdian]",
"timestamp": "2025-07-25T09:37:00.000Z"
},
{
"descriptions": "Terima permintaan pick up dari [Shopee]",
"timestamp": "2025-07-25T08:18:00.000Z"
}
]
}
}
{
"success": false,
"error": {
"code": "SYS_UPS_001",
"message": "Failed getting response from upstream",
"details": {
"timestamp": "2025-09-15T09:55:04.351Z",
"hint": "A required internal dependency is temporarily unavailable. Please retry.",
"context": {
"error": "read EHOSTUNREACH",
"category": "timeout",
"retryable": true
}
}
},
"requestId": "0f853ea2-da37-4ff7-b21e-b0903bb6f91d"
}
#
Dictionary
Encrypted fields
Values are AES-256-GCM encrypted and returned as strings prefixed with ENCRYPTED:.
#
Related Guides
#
Notes
None for this endpoint.